GNU bug report logs - #54983
[PATCH 2/3] gnu: lua-luv: Update to 1.43.0-0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: guix-patches@HIDDEN; Keywords: patch; merged with #54981, #54982, #54984, #55045; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 54981 54982 54983 54984 55045. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 54981 54982 54983 54984. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2022 05:17:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 01:17:47 2022
Received: from localhost ([127.0.0.1]:34857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nfxIB-0005Bt-2G
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 01:17:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:33642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <imran@HIDDEN>) id 1nfvgL-0002TR-3F
 for submit <at> debbugs.gnu.org; Sat, 16 Apr 2022 23:34:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60590)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <imran@HIDDEN>)
 id 1nfvgK-00049e-UB
 for guix-patches@HIDDEN; Sat, 16 Apr 2022 23:34:36 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:35933)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <imran@HIDDEN>)
 id 1nfvgI-0005Kq-SP
 for guix-patches@HIDDEN; Sat, 16 Apr 2022 23:34:36 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 6BEAB5C00FE;
 Sat, 16 Apr 2022 23:34:34 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Sat, 16 Apr 2022 23:34:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=imraniqbal.org;
 h=cc:cc:content-transfer-encoding:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:reply-to:sender:subject:subject:to:to; s=fm3; t=
 1650166474; x=1650252874; bh=iE2AF7XCMiTn4pgShE1651WzFfoodv9JIY1
 Z2ogFWr4=; b=w/QrLUA1A+uL/yiRtgkQjzx/igLRue0yv2KoMeVyKOVv3uZdrG6
 R4R/muvu7pgJLiR+IAPzpV9J7lSlkx42fp3FFoPNt2Mk8cPkhlGRCFMbUhxh2kc7
 rThFGGQkaXZq1iGGMvDhCoHDaqxRf5QbQj7vQ6A24Zz/HpGzoDNxOgimE1JKQpk+
 2w6pCwJ9UAuQoYw9l73bU2d+73LBJ/1Axr2o2nPmNT0f8ieQOS8yqM5sajrbmmON
 cs6rF105G3VrlS57hcu6llkpqIBeA/GATowt30PlOP+fMLwEeB5fhfkS5zHhrmP4
 w5I9/RXueE488O3xOtLKoCIRsEWdjYHJbQQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding:date:date
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; t=1650166474; x=1650252874; bh=iE2AF7XCMiTn4pgShE1651WzFfoo
 dv9JIY1Z2ogFWr4=; b=TKGttSk+5Ll38fDQYCgYyiizjJYFSCpybzKatjdSOPu2
 gQ35q64j+shD0Qmn199fJkzpTNuVErz/EQXoVAuaB9ZqBQAdE5zuFG/F0fOpYxCP
 hJ0nJIZbHH6CcceEgTZEXWsCD8J8uXTcmR4R/TyVV2rjvJbU0yQe72QkG6VeAWZn
 A1k1CWBZA2ITU5XjK+7ISXUuUuQ2RNGjsLm+iVjqxncXTaIB1RUNRv0FYGjcgoSJ
 F2ab1XYPCR2snUtk47mqF4EGKCOUNfa9Q+73zTY2OWLUXhN3s4hm0IFy3y2cIA20
 6H1rKG9SF7WmY9bclPhuBy1LRvqkCTcPLQ9XbNcIsw==
X-ME-Sender: <xms:yopbYrci3cwGhLIl46oG_QkTCgrT0sIjxZCsRIacXt7PMfI9ao00vg>
 <xme:yopbYhNOAuKlKyX_cncmZlMZtbSKpoIy0MZy3RBUABd2ySVloLbmw-S-aYGuIxHn3
 o5E0_f9WwnLpePQdHI>
X-ME-Received: <xmr:yopbYkioBLgouwET4VLruTggv2uBTLwht9dbjjk8DCTI9D7BIFY94EctNPWXk5oIpq2Dg-YylGYGhw1gNATAjqDF-f2M3HJBVTVpp-1ngMgjILLIXa4RTHI>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrudelkedgjeehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgjfhhrggfgsedtke
 ertdertddtnecuhfhrohhmpefkmhhrrghnucfkqhgsrghluceoihhmrhgrnhesihhmrhgr
 nhhiqhgsrghlrdhorhhgqeenucggtffrrghtthgvrhhnpeevtdekueefheeuvdefffdttd
 ekleevuddvveegfeelgeeuffegudefveegkeejueenucffohhmrghinhepghhithhhuhgs
 rdgtohhmnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epihhmrhgrnhesihhmrhgrnhhiqhgsrghlrdhorhhg
X-ME-Proxy: <xmx:yopbYs_Cb2BIXi6s6xmxMujKITAfm-snmb33NxGzJVTvnjswjG1YCA>
 <xmx:yopbYnuws821FA_qeRyx1eTl25pxkj-0H7w0lzGwjzuuR-zP9-7ZrA>
 <xmx:yopbYrFCW-KYaBclxpV3LniBAv0kf78indhlq2-AFHwP0lnmd2L_hw>
 <xmx:yopbYl2G089KzLJoSR0BoX4ahK9in1PZQKvXi8qD_s4nf6rf2XVnow>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 16 Apr 2022 23:34:34 -0400 (EDT)
From: Imran Iqbal <imran@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 2/3] gnu: lua-luv: Update to 1.43.0-0.
Date: Sat, 16 Apr 2022 23:34:15 -0400
Message-Id: <20220417033416.333057-3-imran@HIDDEN>
X-Mailer: git-send-email 2.35.3
In-Reply-To: <20220417033416.333057-1-imran@HIDDEN>
References: <20220417033416.333057-1-imran@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=66.111.4.27; envelope-from=imran@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 17 Apr 2022 01:17:44 -0400
Cc: Imran Iqbal <imran@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: guix-patches@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

* gnu/packages/lua.scm (lua-luv): Update to 1.43.0-0.
---
 gnu/packages/lua.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index ee4b7727e0..e91d04cbd0 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -785,7 +785,7 @@ (define-public lua5.2-lpeg
 (define (make-lua-luv name lua)
   (package
     (name name)
-    (version "1.32.0-0")
+    (version "1.43.0-0")
     (source (origin
               ;; The release tarball includes the sources of libuv but does
               ;; not include the pkg-config files.
@@ -796,7 +796,7 @@ (define (make-lua-luv name lua)
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0c65c1lhbl0axnyks3910gjs0z0hw7w6jvl07g8kbpnbvfl4qajh"))))
+                "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
      `(#:tests? #f                      ; there are none
@@ -813,7 +813,7 @@ (define (make-lua-luv name lua)
              (copy-recursively (assoc-ref inputs "lua-compat")
                                "lua-compat")
              (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat:"
+                     (string-append (getcwd) "/lua-compat/c-api:"
                                     (or (getenv "CPATH") "")))
              #t)))))
     (inputs
@@ -824,11 +824,11 @@ (define (make-lua-luv name lua)
            (method git-fetch)
            (uri (git-reference
                  (url "https://github.com/keplerproject/lua-compat-5.3")
-                 (commit "daebe77a2f498817713df37f0bb316db1d82222f")))
+                 (commit "e245d3a18957e43ef902a59a72c8902e2e4435b9")))
            (file-name "lua-compat-5.3-checkout")
            (sha256
             (base32
-             "02a14nvn7aggg1yikj9h3dcf8aqjbxlws1bfvqbpfxv9d5phnrpz"))))))
+             "1caxn228gx48g6kymp9w7kczgxcg0v0cd5ixsx8viybzkd60dcn4"))))))
     (home-page "https://github.com/luvit/luv/")
     (synopsis "Libuv bindings for Lua")
     (description
-- 
2.35.3





Acknowledgement sent to guix-patches@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54983; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.